# TourneyProvider (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.parlor.tourney.server
Interface TourneyProvider

All Superinterfaces:
  com.threerings.presents.server.InvocationProvider

All Known Implementing Classes:
  TourneyManager

    @Generated(value="com.threerings.presents.tools.GenServiceTask",
               comments="Derived from TourneyService.java.")
    public interface TourneyProvider

extends com.threerings.presents.server.InvocationProvider

Defines the server-side of the `TourneyService`.

Method Summary
`void` `cancel(com.threerings.presents.data.ClientObject caller, com.threerings.presents.client.InvocationService.ConfirmListener arg1)` Handles a `TourneyService.cancel(com.threerings.presents.client.InvocationService.ConfirmListener)` request.
`void` `join(com.threerings.presents.data.ClientObject caller, com.threerings.presents.client.InvocationService.ConfirmListener arg1)` Handles a `TourneyService.join(com.threerings.presents.client.InvocationService.ConfirmListener)` request.
`void` `leave(com.threerings.presents.data.ClientObject caller, com.threerings.presents.client.InvocationService.ConfirmListener arg1)` Handles a `TourneyService.leave(com.threerings.presents.client.InvocationService.ConfirmListener)` request.

Method Detail

### cancel

    void cancel(com.threerings.presents.data.ClientObject caller,
                com.threerings.presents.client.InvocationService.ConfirmListener arg1)
                throws com.threerings.presents.server.InvocationException

  Handles a `TourneyService.cancel(com.threerings.presents.client.InvocationService.ConfirmListener)` request.

  Throws:
    `com.threerings.presents.server.InvocationException`

### join

    void join(com.threerings.presents.data.ClientObject caller,
              com.threerings.presents.client.InvocationService.ConfirmListener arg1)
              throws com.threerings.presents.server.InvocationException

  Handles a `TourneyService.join(com.threerings.presents.client.InvocationService.ConfirmListener)` request.

  Throws:
    `com.threerings.presents.server.InvocationException`

### leave

    void leave(com.threerings.presents.data.ClientObject caller,
               com.threerings.presents.client.InvocationService.ConfirmListener arg1)
               throws com.threerings.presents.server.InvocationException

  Handles a `TourneyService.leave(com.threerings.presents.client.InvocationService.ConfirmListener)` request.

  Throws:
    `com.threerings.presents.server.InvocationException`

Copyright © 2011. All Rights Reserved.